<?php
class eventclass_bio_socio  extends TableEventsBase {
	
	function init() {
		$this->events = array(
			'BeforeEdit' => true,
			'OnPageLoad' => true 
		);
		$this->fieldValues = array(
			'filterLimit' => array(
				 
			),
			'mapIcon' => array(
				 
			),
			'viewCustom' => array(
				 
			),
			'lookupWhere' => array(
				 
			),
			'viewFileText' => array(
				 
			),
			'defaultValue' => array(
				 
			),
			'autoUpdateValue' => array(
				 
			),
			'uploadFolder' => array(
				 
			),
			'viewPluginInit' => array(
				 
			),
			'editPluginInit' => array(
				 
			) 
		);
			}
		function BeforeEdit( &$values, &$sqlValues, $where, &$oldvalues, &$keys, &$message, $inline, $pageObject ) {
			$values["total_bs"] = $values["utilidad_gestion"] * $values["nro_Acciones"];
	
	require __DIR__ . '/../app/number/convert.php';
	
	
	return true;
			;
			return true;
		}
		

}


?>